Bug 69037 - Please portlint [devel/ruby-tzfile]
Summary: Please portlint [devel/ruby-tzfile]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-14 03:20 UTC by Wesley Shields
Modified: 2004-12-14 04:56 UTC (History)
0 users

See Also:


Attachments
file.diff (442 bytes, patch)
2004-07-14 03:20 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wesley Shields 2004-07-14 03:20:25 UTC
devel/ruby-tzfile does not please portlint.
This is the 15th in a series of patches to make ports please portlint.

How-To-Repeat: N/A
Comment 1 Erwin Lansing freebsd_committer 2004-07-14 07:42:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer
Comment 2 Akinori MUSHA 2004-07-14 08:24:48 UTC
At Wed, 14 Jul 2004 06:43:08 GMT,
Erwin Lansing wrote:
> Synopsis: Please portlint [devel/ruby-tzfile]

No, this is and all these are intentional.

RUBY_RD_HTML_FILES in the DOCS definition is only defined when
bsd.ruby.mk is loaded (from within bsd.port.mk), and as the .for loop
is immediately evaluated, you cannot put it before loading
bsd.port.mk.

-- 
                     /
                    /__  __            Akinori.org / MUSHA.org
                   / )  )  ) )  /     FreeBSD.org / Ruby-lang.org
Akinori MUSHA aka / (_ /  ( (__(  @ iDaemons.org / and.or.jp

"It seems to me as we make our own few circles 'round the sun
          We get it backwards and our seven years go by like one"
Comment 3 Edwin Groothuis freebsd_committer 2004-12-13 00:29:09 UTC
But of course it can be resolved with this patch:

diff -u -r1.7 Makefile
--- Makefile    18 Feb 2003 05:04:59 -0000      1.7
+++ Makefile    13 Dec 2004 00:26:14 -0000
@@ -26,13 +26,13 @@
 
 DOCS=          ${RUBY_RD_HTML_FILES}
 
+.include <bsd.port.pre.mk>
+
 do-install:
        ${INSTALL_DATA} ${WRKSRC}/tzfile.rb ${RUBY_SITELIBDIR}/
 
 post-install: doc-install
 
-.include <bsd.port.mk>
-
 doc-install:
 .if !defined(NOPORTDOCS)
        ${MKDIR} ${RUBY_MODDOCDIR}
@@ -40,3 +40,5 @@
        ${INSTALL_DATA} ${WRKSRC}/${f} ${RUBY_MODDOCDIR}/
 .endfor
 .endif
+
+.include <bsd.port.post.mk>

It gives the same result as the previous one gave:

[/usr/home/edwin/cvs/ports/devel/ruby-tzfile] root@k7>RUBY_RD_HTML=1 make doc-install
/bin/mkdir -p /usr/local/share/doc/ruby18/tzfile
install  -o root -g wheel -m 444 /usr/home/edwin/cvs/ports/devel/ruby-tzfile/work/tzfile/tzfile.html /usr/local/share/doc/ruby18/tzfile/

Please let me know if you agree with this and I'll commit it in all
the provided PRs:

    o	2004/07/14	ports/69027 	Please portlint [archivers/ruby-bz2]
    o	2004/07/14	ports/69028 	Please portlint [devel/ruby-cache]
    o	2004/07/14	ports/69029 	Please portlint [devel/ruby-cvs]
    o	2004/07/14	ports/69030 	Please portlint [devel/ruby-filemagic]
    o	2004/07/14	ports/69031 	Please portlint [devel/ruby-gemfinder]
    o	2004/07/14	ports/69032 	Please portlint [devel/ruby-gettext]
    o	2004/07/14	ports/69033 	Please portlint [devel/ruby-mmap]
    o	2004/07/14	ports/69034 	Please portlint [devel/ruby-sdl]
    o	2004/07/14	ports/69035 	Please portlint [devel/ruby-sysvipc]
    o	2004/07/14	ports/69036 	Please portlint [comms/ruby-termios]
    o	2004/07/14	ports/69037 	Please portlint [devel/ruby-tzfile]

-- 
Edwin Groothuis
edwin@freebsd.org
http://www.mavetju.org
Comment 4 Wesley Shields 2004-12-13 01:30:16 UTC
On Mon, Dec 13, 2004 at 11:29:09AM +1100, Edwin Groothuis wrote:

> But of course it can be resolved with this patch:
> 
> diff -u -r1.7 Makefile
> --- Makefile    18 Feb 2003 05:04:59 -0000      1.7
> +++ Makefile    13 Dec 2004 00:26:14 -0000
> @@ -26,13 +26,13 @@
>  
>  DOCS=          ${RUBY_RD_HTML_FILES}
>  
> +.include <bsd.port.pre.mk>
> +
>  do-install:
>         ${INSTALL_DATA} ${WRKSRC}/tzfile.rb ${RUBY_SITELIBDIR}/
>  
>  post-install: doc-install
>  
> -.include <bsd.port.mk>
> -
>  doc-install:
>  .if !defined(NOPORTDOCS)
>         ${MKDIR} ${RUBY_MODDOCDIR}
> @@ -40,3 +40,5 @@
>         ${INSTALL_DATA} ${WRKSRC}/${f} ${RUBY_MODDOCDIR}/
>  .endfor
>  .endif
> +
> +.include <bsd.port.post.mk>
> 
> It gives the same result as the previous one gave:
> 
> [/usr/home/edwin/cvs/ports/devel/ruby-tzfile] root@k7>RUBY_RD_HTML=1 make doc-install
> /bin/mkdir -p /usr/local/share/doc/ruby18/tzfile
> install  -o root -g wheel -m 444 /usr/home/edwin/cvs/ports/devel/ruby-tzfile/work/tzfile/tzfile.html /usr/local/share/doc/ruby18/tzfile/
> 
> Please let me know if you agree with this and I'll commit it in all
> the provided PRs:
> 
>     o	2004/07/14	ports/69027 	Please portlint [archivers/ruby-bz2]
>     o	2004/07/14	ports/69028 	Please portlint [devel/ruby-cache]
>     o	2004/07/14	ports/69029 	Please portlint [devel/ruby-cvs]
>     o	2004/07/14	ports/69030 	Please portlint [devel/ruby-filemagic]
>     o	2004/07/14	ports/69031 	Please portlint [devel/ruby-gemfinder]
>     o	2004/07/14	ports/69032 	Please portlint [devel/ruby-gettext]
>     o	2004/07/14	ports/69033 	Please portlint [devel/ruby-mmap]
>     o	2004/07/14	ports/69034 	Please portlint [devel/ruby-sdl]
>     o	2004/07/14	ports/69035 	Please portlint [devel/ruby-sysvipc]
>     o	2004/07/14	ports/69036 	Please portlint [comms/ruby-termios]
>     o	2004/07/14	ports/69037 	Please portlint [devel/ruby-tzfile]

Yes, please commit - and thank you.

-- WXS
Comment 5 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 9 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 10 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 11 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 12 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 13 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 14 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 15 Edwin Groothuis freebsd_committer 2004-12-14 04:55:08 UTC
State Changed
From-To: open->closed

Committed, thanks!